%define upstream_name    MIDI-ALSA
%define upstream_version 1.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    ALSA library access for Perl, plus some interface functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/MIDI-ALSA/
Source0:    http://search.cpan.org/CPAN/authors/id/P/PJ/PJB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel,
BuildRequires: alsa-lib-devel,
%description
This module offers a Perl interface to the ALSA library. It is a
call-compatible translation into Perl of the Lua module midialsa
which is in turn based on the Python modules alsaseq.py and alsamidi.py
by Patricio Paez.

It also offers some functions to translate events from and to the event
format used in Sean Burke's MIDI-Perl module.

Nothing is exported by default, but all the functions and constants can be
exported, e.g.: use MIDI::ALSA(client, connectfrom, connectto, id, input,
output); use MIDI::ALSA(':CONSTS');

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
%make

%check
## tests require virmidi kernel module loaded and rw acces to /dev/snd/seq
#make test

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%files
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorarch}/MIDI/ALSA.pm
%{perl_vendorarch}/auto/MIDI/ALSA/ALSA.so
%{_mandir}/man3/MIDI::ALSA.3pm.*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-7.mga6
+ Revision: 1029886
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.200.0-6.mga6
+ Revision: 957752
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.200.0-5.mga6
+ Revision: 842667
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-4.mga5
+ Revision: 741984
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-3.mga5
+ Revision: 685288
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.200.0-2.mga5
+ Revision: 631386
- Rebuild for perl 5.20

* Fri Apr 25 2014 shlomif <shlomif> 1.200.0-1.mga5
+ Revision: 617843
- update to 1.20

* Fri Apr 18 2014 jquelin <jquelin> 1.190.0-1.mga5
+ Revision: 616275
- update to 1.19

* Sat Oct 19 2013 umeabot <umeabot> 1.180.0-2.mga4
+ Revision: 525217
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 1.180.0-1.mga4
+ Revision: 432501
- update to 1.18

* Wed May 29 2013 jquelin <jquelin> 1.170.0-4.mga4
+ Revision: 431618
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.170.0-3.mga3
+ Revision: 369298
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 15 2012 shlomif <shlomif> 1.170.0-2.mga3
+ Revision: 331080
- A missing macro in the source0
- Made the distribution more Mageia-like.

* Thu Dec 13 2012 shlomif <shlomif> 1.17-1.mga3
+ Revision: 330228
- New version 1.17

* Sat Dec 08 2012 shlomif <shlomif> 1.16-1.mga3
+ Revision: 328296
- mkrel
- Importing perl-MIDI-ALSA from CentOS 6 from tux99-mga


* Fri Dec 07 2012 LTN Packager <packager-el6rpms@LinuxTECH.NET> - 1.16-1
- initial package release

